Skip to main content
GET
/
v2
/
calls
Get metadata on all Calls
curl --request GET \
  --url https://api.affinity.co/v2/calls \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "loggingType": "manual",
      "title": "Example title",
      "startTime": "2023-01-01T00:00:00Z",
      "endTime": "2023-01-01T00:00:00Z",
      "allDay": false,
      "creator": {
        "emailAddress": "john.smith@contoso.com",
        "person": {
          "id": 1,
          "firstName": "Jane",
          "lastName": "Doe",
          "primaryEmailAddress": "jane.smith@northpointvc.com",
          "type": "internal"
        }
      },
      "createdAt": "2023-01-01T00:00:00Z",
      "updatedAt": "2023-01-01T00:00:00Z",
      "attendeesPreview": {
        "data": [
          {
            "emailAddress": "john.smith@contoso.com",
            "person": {
              "id": 1,
              "firstName": "Jane",
              "lastName": "Doe",
              "primaryEmailAddress": "jane.smith@northpointvc.com",
              "type": "internal"
            }
          }
        ],
        "totalCount": 200
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

filter
string

Filter options

Response

OK

CallPaged model

data
interactions.Call · object[]
required

A page of Call results

Maximum array length: 100
pagination
Pagination · object
required